package android.aLlum;

import java.util.ArrayList;

import android.app.ListActivity;
import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.graphics.Typeface;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class actLlistaCom extends ListActivity {

	private class LlistaComAdapter extends ArrayAdapter<Comanda> {
	   	 
        private ArrayList<Comanda> items;
     
        public LlistaComAdapter(Context context, int textViewResourceId, ArrayList<Comanda> items) {
            super(context, textViewResourceId, items);
            this.items = items;
        }
     
        @Override
        public View getView(int position, View convertView, ViewGroup parent) {
            View v = convertView;
            if (v == null) {
                LayoutInflater vi = (LayoutInflater) getSystemService(Context.LAYOUT_INFLATER_SERVICE);
                v = vi.inflate(R.layout.item_comanda, null);
            }
            
            Comanda com = items.get(position);
            TextView sCom = (TextView) v.findViewById(R.id.nomCom);
            if (position == 0) {
            	sCom.setTextColor(Color.GREEN);
            	sCom.setTypeface(null, Typeface.ITALIC);
            }
           	sCom.setText(com.getNom());

           	return v;
        }
        
    }
		
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.llista_comandes);     
    }

    @Override
	protected void onListItemClick(ListView l, View v, int position, long id) {
		Intent intent = new Intent(v.getContext(), actComanda.class);
		Bundle bundle = new Bundle();
		bundle.putInt("pos", position);
		intent.putExtras(bundle);	
		startActivityForResult(intent, 0);
	}
    
    @Override
    public void onResume()
    {
    	setListAdapter(new LlistaComAdapter(this, R.layout.item_comanda, 
    			          Controler.getInstance().getListaComandes()));
        super.onResume();
    }

}
