package android.aLlum;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class actMain extends Activity {

	private String 		   sMsg;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        // Inicialitzaci de la connexi a la BD
        BDComandes.getInstance().open(this);
        
        // Mostrar la llista de comandes existents
        Button btCom = (Button) findViewById(R.id.btComandes);
        btCom.setOnClickListener(new View.OnClickListener() {
			
			public void onClick(View v) {
				Controler.getInstance().obtenirLlistaComandes();
				Intent intent = new Intent(v.getContext(), actLlistaCom.class);
				startActivityForResult(intent, 0);
			}
		});
        
        // Sincronitzaci amb el servidor
        Button btSin = (Button) findViewById(R.id.btSincro);
        btSin.setOnClickListener(new View.OnClickListener() {
			
			public void onClick(View v) {
								
				sMsg = Controler.getInstance().sincronitzar();
			
				AlertDialog dlg = new AlertDialog.Builder(actMain.this).create();
				dlg.setTitle("Sincronitzaci");
				dlg.setMessage(sMsg);
				dlg.setButton("OK", new DialogInterface.OnClickListener() {  
				      public void onClick(DialogInterface dialog, int which) {  
				        return;  
				    } }); 
				//dlg.setIcon(R.drawable.);
				dlg.show();
			}
		});
 
    }
    
    @Override
    public void onDestroy()
    {
    	Controler.getInstance().finalitzar();
        super.onDestroy();
    }
    
}